- Qt 6.8
- Qt GUI
- C++ Classes
- QRasterWindow
- Qt 6.8.3 Reference Documentation

# QRasterWindow Class

QRasterWindow is a convenience class for using QPainter on a QWindow. More...

Header: | `#include <QRasterWindow>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Gui)` `target_link_libraries(mytarget PRIVATE Qt6::Gui)`
qmake: | `QT += gui`
Inherits: | QPaintDeviceWindow

- List of all members, including inherited members

## Public Functions

| QRasterWindow(QWindow *parent = nullptr)

## Detailed Description

QRasterWindow is a QWindow with a raster-based, non-OpenGL surface. On top of the functionality offered by QWindow, QRasterWindow adds a virtual paintEvent() function and the possibility to open a QPainter on itself. The underlying paint engine will be the raster one, meaning that all drawing will happen on the CPU. For performing accelerated, OpenGL-based drawing, use QOpenGLWindow instead.

Internally the class is thin wrapper for QWindow and QBackingStore and is very similar to the Raster Window Example that uses these classes directly.

See also QPaintDeviceWindow::paintEvent() and QPaintDeviceWindow::update().

## Member Function Documentation

### `[explicit]` QRasterWindow::QRasterWindow(QWindow *parent = nullptr)

Constructs a new QRasterWindow with parent.